- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Private Member Functions | Private Attributes | List of all members
libwps::DirTree Class Reference

## Public Member Functions
| DirTree ()
void | clear ()
unsigned | entryCount ()
DirEntry * | entry (unsigned index)
DirEntry * | entry (const std::string &name)
unsigned | find_child (unsigned index, const std::string &name)
void | load (unsigned char *buffer, unsigned len)
std::vector< std::string > | getOLENames ()

## Static Public Attributes
static const unsigned | End = 0xffffffff

## Private Member Functions
void | getOLENames (unsigned index, const std::string &prefix, std::vector< std::string > &res, std::set< unsigned > &seen)
| DirTree (const DirTree &)
DirTree & | operator= (const DirTree &)

## Private Attributes
std::vector< DirEntry > | entries

## Constructor & Destructor Documentation

libwps::DirTree::DirTree | ( |  | ) |

libwps::DirTree::DirTree | ( | const DirTree & |  | ) |
| private

## Member Function Documentation

void libwps::DirTree::clear | ( |  | ) |

Referenced by DirTree().

libwps::DirEntry * libwps::DirTree::entry | ( | unsigned | index | ) |

Referenced by dirtree_find_sibling().

libwps::DirEntry * libwps::DirTree::entry | ( | const std::string & | name | ) |

unsigned libwps::DirTree::entryCount | ( |  | ) |

Referenced by dirtree_find_sibling().

unsigned libwps::DirTree::find_child | ( | unsigned | index,
|  | const std::string & | name
| ) |  |

std::vector< std::string > libwps::DirTree::getOLENames | ( |  | ) |

void libwps::DirTree::getOLENames | ( | unsigned | index,
|  | const std::string & | prefix,
|  | std::vector< std::string > & | res,
|  | std::set< unsigned > & | seen
| ) |  |
| private

void libwps::DirTree::load | ( | unsigned char * | buffer,
|  | unsigned | len
| ) |  |

DirTree& libwps::DirTree::operator= | ( | const DirTree & |  | ) |
| private

## Member Data Documentation

const unsigned libwps::DirTree::End = 0xffffffff
| static

std::vector<DirEntry> libwps::DirTree::entries
| private

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp